<?php
  /*
   * Copyright (C) 2007 Nicolas Joseph
   *
   * This program is free software: you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation, either version 3 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed in the hope that it will be useful,
   * but WITHOUT ANY WARRANTY; without even the implied warranty of
   * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   * GNU General Public License for more details.
   *
   * You should have received a copy of the GNU General Public License
   * along with this program.  If not, see <http://www.gnu.org/licenses/>.
   */
   
  /*****************************************************************************
   *
   * Administration - Configuration des syndications
   *
   ****************************************************************************/

  require_once("include/config.php");
  include_once("include/fonctions.php");

  // Initialisation des variables
  empty ($_POST['enregistrer']) ? $enregistrer = 0 : $enregistrer = decode_gpc ($_POST['enregistrer']);

  empty ($_POST['cfgRss2']) ? $cfgRss2 = 0 : $cfgRss2 = decode_gpc ($_POST['cfgRss2']);
  empty ($_POST['cfgAtom']) ? $cfgAtom = 0 : $cfgAtom = decode_gpc ($_POST['cfgAtom']);

  /*****************************************************************************
   * Ecriture de la valeur des paramètres modifiés
   ****************************************************************************/
  if ($enregistrer == 1)
  {
    $contenu  = '<?php'."\n";
    $contenu .= '  $cfgRss2 = \''.encode_str (trim ($cfgRss2)).'\'; // Flux RSS 2.0'."\n";
    $contenu .= '  $cfgAtom = \''.encode_str (trim ($cfgAtom)).'\'; // Flux Atom'."\n";
    $contenu .= '?>';

    file_put_contents ('include/syndication.php', $contenu);
  }


  /*****************************************************************************
   * Lecture de la valeur courante des paramètres
   ****************************************************************************/
  require ('include/syndication.php');

  /*****************************************************************************
   *                          Affichage de la page
   ****************************************************************************/
  include("include/hpage.inc");

  htable('Admin - Configuration syndication', '100%');

  echo '
<p style="text-align: center"><b>Changer les options de syndication</b></p>

<hr class="separation_formulaire" />
<p style="text-align: center"><a href="admin.php">Retour admin</a> || <b><a href="admin.php?logout=1">D&Eacute;CONNEXION</a></b></p>
<hr class="separation_formulaire" />
';


  /*****************************************************************************
   * Formulaire général
   ****************************************************************************/

echo '
<form action="admin.php?pg=syndication" method="post" accept-charset="'.PHORTAIL_CHARSET.'">
<div class="center">
<input type="hidden" name="enregistrer" value="1" />

<table cellspacing="0" cellpadding="2" border="0" width="100%">
';

/******************************************************************************/

echo '
<tr><td style="width: 50%"><p>&bull; RSS 2.0&nbsp;: </p></td><td style="width: 50%"><input type="checkbox" name="cfgRss2" type="text" size="40" '.(($cfgRss2) ? 'checked ' : '').'/></td></tr>
<tr><td style="width: 50%"><p>&bull; Atom&nbsp;: </p></td><td style="width: 50%"><input type="checkbox" name="cfgAtom" type="text" size="40" '.(($cfgAtom) ? 'checked ' : '').'/></td></tr>
';

/******************************************************************************/

echo '
</table>

<hr class="separation_formulaire" />

<p style="text-align: center"><br /><input type="submit" value="Enregistrer la configuration" /></p>

</div>
</form>

<p style="text-align: center"><br /><a href="admin.php">Retour admin</a> || <b><a href="admin.php?logout=1">D&Eacute;CONNEXION</a></b></p>
';

/******************************************************************************/

btable();

include("include/bpage.inc");

?>
